import request from '@/utils/request'

// 查询其他领域信用等级信息列表
export function listRating(query) {
    return request({
        url: '/crmOtherDomainCreditRating/findByPage',
        method: 'get',
        params: query
    })
}

// 查询其他领域信用等级信息详细
export function getRating(id) {
    return request({
        url: '/crmOtherDomainCreditRating/' + id,
        method: 'get'
    })
}

// 新增其他领域信用等级信息
export function addRating(data) {
    return request({
        url: '/crmOtherDomainCreditRating',
        method: 'post',
        data: data
    })
}

// 修改其他领域信用等级信息
export function updateRating(data) {
    return request({
        url: '/crmOtherDomainCreditRating',
        method: 'put',
        data: data
    })
}

// 删除其他领域信用等级信息
export function delRating(id) {
    return request({
        url: '/crmOtherDomainCreditRating/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delRatingBatch(ids) {
    console.log(ids);
    return request.post('/crmOtherDomainCreditRating/delete',ids)
}